View Issue Details

IDProjectCategoryView StatusLast Update
0015366LazarusLCLpublic2009-12-30 06:28
ReporterremovedAssigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015366: I can select the date by double click when DateEdit1.ReadOnly:=True;
Descriptionprocedure TForm1.FormCreate(Sender: TObject);
begin
  DateEdit1.ReadOnly:=True;
{
  Bug
   When you double Click on DateEdit1
   , it shows calendar and you can select the new date.
}
end;


lazarus\lcl\editbtn.pas
-----------------------------
procedure TDateEdit.DblClick;
begin
  inherited DblClick;
+ if Not ReadOnly then
    DoButtonClick(nil);
end;
TagsNo tags attached.
Fixed in Revision23232
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0015361 closedPaul Ishenin Patches Add DroppedDown property to TDateEdit 

Activities

2009-12-19 10:05

 

diff.patch (346 bytes)   
Index: editbtn.pas
===================================================================
--- editbtn.pas	(revision 23193)
+++ editbtn.pas	(working copy)
@@ -973,7 +973,7 @@
 procedure TDateEdit.DblClick;
 begin
   inherited DblClick;
-  DoButtonClick(nil);
+  if not ReadOnly then DoButtonClick(nil);
 end;
 
 procedure TDateEdit.SetDateMask;
diff.patch (346 bytes)   

Paul Ishenin

2009-12-22 09:27

manager   ~0033252

Thanks, applied. Please close if ok.

Issue History

Date Modified Username Field Change
2009-12-17 09:42 removed New Issue
2009-12-17 09:42 removed Widgetset => Win32/Win64
2009-12-17 14:21 Vincent Snijders Relationship added related to 0015361
2009-12-17 14:22 Vincent Snijders LazTarget => 0.9.30
2009-12-17 14:22 Vincent Snijders Status new => acknowledged
2009-12-17 14:22 Vincent Snijders Target Version => 0.9.30
2009-12-19 10:05 samuel herzog File Added: diff.patch
2009-12-22 09:27 Paul Ishenin Fixed in Revision => 23232
2009-12-22 09:27 Paul Ishenin Status acknowledged => resolved
2009-12-22 09:27 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-22 09:27 Paul Ishenin Resolution open => fixed
2009-12-22 09:27 Paul Ishenin Assigned To => Paul Ishenin
2009-12-22 09:27 Paul Ishenin Note Added: 0033252
2009-12-30 06:28 removed Status resolved => closed